﻿Namespace InterfaceExample

    Interface IPrintable

        Sub Print(ByVal document As Object)

    End Interface

    Public Class CanonDriver
        Implements IPrintable

        Public Sub Print(ByVal document As Object) Implements IPrintable.Print

            ' code that does the printing
        End Sub
    End Class

    Class Program

        Shared Sub Main(ByVal args As String())
            Dim driver As CanonDriver = New CanonDriver()
            Console.WriteLine(TypeOf (driver) Is IPrintable)
            Console.ReadKey()
        End Sub

    End Class

End Namespace

